$kind: http-request
url: "{{sahara_local}}recruitment/companies/create"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \  \r

    \  \"name\": \"Fleeton Logistics\",\r

    \  \"legal_name\": \"Fleeton Logistics Ltd\",\r

    \  \"tax_id\": \"TIN12345678\",\r

    \  \"website\": \"https://fleetonlogistics.co.uk\",\r

    \  \"industry\": \"Transportation\",\r

    \  \"description\": \"A modern logistics and fleet management company.\",\r

    \  \"company_size\":
    \"51-200\",//1-10,11-50,51-200,201-500,501-1000,1001-5000,5001+\r

    \  \"contacts\": [\r

    \    {\r

    \      \"first_name\": \"John\",\r

    \      \"last_name\": \"Doe\",\r

    \      \"position\": \"Sales Manager\",\r

    \      \"email\": \"john.doe@example.com\",\r

    \      \"phone\": \"+256700123456\",\r

    \      \"mobile\": \"+256787654321\",\r

    \      \"is_primary\": true,\r

    \      \"preferred_communication_methods\": [\"email\", \"mobile\"], //\r

    \      \"notes\": \"Handles key client accounts\"\r

    \    },\r

    \    {\r

    \      \"organisation_id\": \"uuid-of-org\",\r

    \      \"first_name\": \"Jane\",\r

    \      \"last_name\": \"Smith\",\r

    \      \"position\": \"Admin\",\r

    \      \"email\": \"jane.smith@example.com\",\r

    \      \"is_primary\": false\r

    \    }\r

    \  ],\r

    \r

    \  \"addresses\": [\r

    \    {\r

    \      \"street_address_1\": \"Plot 42, Nkrumah Road\",\r

    \      \"street_address_2\": \"Opp. Post Office\",\r

    \      \"city\": \"Kampala\",\r

    \      \"state\": \"Central\",\r

    \      \"postal_code\": \"256\",\r

    \      \"country\": \"Uganda\",\r

    \      \"is_primary\": true\r

    \    }\r

    \  ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
